# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: 2018-2023 Collabora, Ltd. and the Monado contributors

# Please run the following from the repo root after modifying this file:
#   make -f .gitlab-ci/ci-scripts.mk

fdo_ci_templates_sha: 185ede0e9b9b1924b92306ab8b882a6294e92613

# The distributions we'll make an image for
distributions:
  - name: debian
    images:
      # This contains the android SDK in it...
      - codename: android-sdk
        distro_version: bookworm
        repo_suffix: android
        script: android_container_prep.sh
        tag: "20240726"
        # This must match compileSdkVersion in the various build.gradle
        android_compile_sdk: 34
        # This is implied to match the compile SDK?
        # Must match build.gradle to avoid wasting time/bandwidth
        android_build_tools: 34.0.0
        # look up on https://developer.android.com/studio/index.html#downloads when updating other versions
        android_cli_tools: 10406996
        # Version of CMake to install via sdkmanager
        android_cmake: 3.22.1

        # Version of the NDK to install: now installed through SDK Manager
        # Must match build.gradle to avoid wasting time/bandwidth
        android_ndk: 25.2.9519653

        packages:
          git:
          wget:
          unzip:
          cmake:
          ninja-build:
          python3:
          pkg-config:
          ca-certificates:
          glslang-tools:
          default-jdk-headless:
          # for grabbing release assets
          sq:
          curl:
          scrypt:
          xz-utils:
